
import org.apache.axis.client.Call;
import org.apache.axis.client.Service;

import javax.xml.namespace.QName;

public class AveragerClient {
  public static void main(String[] args)  {
    try {
      // set a string to contain the target URL for the service
      String target = "http://localhost:8080/axis/services/averager";

      // create a service object
      Service service = new Service();

      // now create the call to the service object
      Call call  = (Call)service.createCall();

      // set the URL of the service for your call object
      call.setTargetEndpointAddress(new java.net.URL(target));

      // specify the method that you wish to invoke
      call.setOperationName(new QName("getAverage"));

      // now create an array containing the two parameters
      Object[] paramArray = new Object[2];
      paramArray[0] = new Integer(2);
      paramArray[1] = new Integer(4);

      Double averageNumber = (Double) call.invoke(paramArray);
      System.out.println("The web service says that the average number is " + averageNumber);
    }
    catch (Exception e){
      System.out.println("A problem occured with the RPC: " + e);
    }
   }

}