import org.apache.axis.client.Call;
import org.apache.axis.client.Service;
import javax.xml.namespace.QName;
import org.apache.axis.AxisFault;
import org.w3c.dom.Element;
import org.w3c.dom.Node;
import javax.xml.rpc.ServiceException;
public class AveragerFaultHandler {
  public static void main(String[] args)  {
    try {
      String target = "http://localhost:8080/axis/services/averager";
      Service service = new Service();
      Call call  = (Call)service.createCall();
      call.setTargetEndpointAddress(new java.net.URL(target));
      call.setOperationName(new QName("getAverage"));
      Object[] paramArray = new Object[2];
      paramArray[0] = new String("oops");
      paramArray[1] = new Integer(4);

      Double averageNumber = (Double) call.invoke(paramArray);
      System.out.println("The web service says that the average number is " + averageNumber);
    }
    // process the axis fault
    catch (AxisFault fault){
      System.out.println("The fault code is " + fault.getFaultCode());
      System.out.println("The fault string is " + fault.getFaultString());
      // the fault details are returned as a org.w3c.dom.Element object
      Element[] e = fault.getFaultDetails();
      // get the text node containing the stack trace
      Node details = e[0].getFirstChild();
      // print out the stack trace, which is the value of the retrieved text node
      System.out.println("The fault detail is\n " + details.getNodeValue());
    }
    catch (ServiceException e) {
        System.out.println("A service exception has occurred " + e);
    }
    catch (java.rmi.RemoteException e) {
        System.out.println("A remote exception has occurred " + e);
    }
    catch (java.net.MalformedURLException e) {
            System.out.println("A malformed URL exception has occurred " + e);
    }
   }
}