package com.conygre.webservices;

import org.apache.axis.client.Call;
import org.apache.axis.client.Service;
import javax.xml.namespace.QName;
import javax.servlet.http.*;
import javax.servlet.*;

public class BookClientServlet extends HttpServlet{
   private String url;
   private ServletContext context;

   public void init(ServletConfig config) throws ServletException {
       super.init(config);
       // get the service URL from the init parameter in web.xml
       url = config.getInitParameter("url");
       context = getServletContext();
   }

   public void doPost(HttpServletRequest request, HttpServletResponse response) {
     try {
       // invoke the web service
       Service service = new Service();
       Call call  = (Call)service.createCall();
       call.setTargetEndpointAddress(new java.net.URL(url));
       call.setOperationName(new QName("getBookByID"));
       Object[] paramArray = new Object[1];
       paramArray[0] = new Integer(request.getParameter("id"));
       QName qn  = new QName( "bookns", "Book" );
       call.registerTypeMapping(com.conygre.webservices.Book.class, qn,
         new org.apache.axis.encoding.ser.BeanSerializerFactory(com.conygre.webservices.Book.class, qn),
         new org.apache.axis.encoding.ser.BeanDeserializerFactory(com.conygre.webservices.Book.class, qn));

       Book result = (Book) call.invoke(paramArray);
       // assign the current book to the session object as a session scoped object
       HttpSession session = request.getSession();
       session.setAttribute("book", result);
       // now forward the request to index.jsp
       RequestDispatcher rd = context.getRequestDispatcher("/index.jsp");
       rd.forward(request,response);
     }
     catch (Exception e){
       try {
        RequestDispatcher rd = context.getRequestDispatcher("/errorPage.html");
        rd.forward(request,response);
       } catch (Exception se) {}
     }
   }
}